<?php

App::uses('AppComponent', 'Controller/Component');

class CategoriesComponent extends AppComponent {

	/**
	 * run the form injection
	 * For custom fields this add type / validation arrays to the template for fields
	 *
	 * @param   array       Data from $this->request->data
	 * @param   object      Model Object for the primary model we are dealing with
	 * @param   int|null    The ID if on edit or null of add
	 */
	public function injectAdminForm($data, $Model, $id) {
		$Category = EvClassRegistry::init('EvShop.Category');

		$this->_controller->set(
			'categories',
			$Category->generateTreeList(
				null,
				null,
				null,
				'--'
			)
		);
	}
}